BeanExpressionException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory

## Class BeanExpressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.BeanExpressionException

- All Implemented Interfaces:
    Serializable

      public class BeanExpressionException
      extends FatalBeanException

  Exception that indicates an expression evaluation attempt having failed.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanExpressionException(String msg)` Create a new BeanExpressionException with the specified message.
    `BeanExpressionException(String msg, Throwable cause)` Create a new BeanExpressionException with the specified message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanExpressionException

          public BeanExpressionException(String msg)

      Create a new BeanExpressionException with the specified message.
      Parameters:
        `msg` - the detail message

    - #### BeanExpressionException

          public BeanExpressionException(String msg,
                                 Throwable cause)

      Create a new BeanExpressionException with the specified message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause